/* =========================
   SINGLE PRODUCT – RC4U
   ========================= */

.single-product h2:not(#related-cars h2, .rc4u-product-title) {
	font-size: 2rem
}

.single-product #page #car-banner.title-position--top .uagb-container-inner-blocks-wrap {
	justify-content: flex-start;
	padding-top: 125px
}

.single-product #page #car-banner.title-position--top .wp-block-post-title {
	margin: 0
}

.single-product #page .wp-block-post-title {
	line-height: 0;
	margin: 0 0 100px 0
}

.single-product h2,
.single-product h3,
.single-product .rc4u-product-sidebar ul,
.single-product .rc4u-product-sidebar ol {
	margin-bottom: 0
}

.rc4u-product-heading {
	display: flex;
    flex-direction: column;
    margin-bottom: 0;
    line-height: 1;
	color: var(--ast-global-color-0);
	text-transform: uppercase
}

.rc4u-heading-prefix {
    font-size: 2rem
}

.rc4u-product-wrapper {
    display: flex;
    gap: 30px;
    margin: 40px 0 100px
}

@media(max-width:1024px) {
	.rc4u-product-wrapper {
		flex-direction: column;
		margin: 50px 0;
		gap: 100px
	}
}

.rc4u-product-main {
    flex: 2
}

.rc4u-product-description {
    margin-bottom: 20px
}

.rc4u-attribute-item-list {
	display: grid;
    grid-template-columns: 1fr 1fr;
    list-style: none;
    padding: 0;
    margin: 0 0 20px 0;
	gap: .5rem
}

@media(max-width:676px) {
	.rc4u-attribute-item-list { grid-template-columns: 1fr }
}

.rc4u-attribute-item {
	display: flex;
	align-items: center;
    padding: 4px 0
}

.single-product #page .rc4u-attribute-icon {
	height: 2rem;
  	width: auto;
  	margin-right: .5rem
}

.rc4u-product-modifications-list {
	margin: 0 0 1.5rem 1.25rem
}

.rc4u-product-modifications-list.one-col {
	-moz-column-count: 1;
	     column-count: 1;
	-moz-column-gap: 0;
	     column-gap: 0
}

.rc4u-product-modifications-list.one-col li {
	-moz-column-break-inside: avoid;
	     break-inside: avoid
}

.rc4u-product-modifications-list.two-cols {
	-moz-column-count: 2;
	     column-count: 2;
	-moz-column-gap: 16px;
	     column-gap: 16px
}

.rc4u-product-modifications-list.two-cols li {
	flex: 1 1 calc(50% - 8px);
  	box-sizing: border-box;
  	-moz-column-break-inside: avoid;
  	     break-inside: avoid;      
  	word-break: break-word
}

#page .rc4u-gallery-main .flickity-viewport {
	border-radius: 20px
}

#page .rc4u-product-gallery {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
	margin-top: 30px
}

#page .rc4u-gallery-item {
    overflow: hidden;
    border-radius: 2px;
    position: relative
}

#page .rc4u-gallery-item img {
    width: 100%;
    height: 250px;
    -o-object-fit: cover;
       object-fit: cover;
    display: block;
    transition: all .4s ease;
    border-radius: 2px
}

#page .rc4u-gallery-main {
    opacity: 0;
    transition: opacity .3s ease;
	margin-top: .5rem
}

#page .rc4u-gallery-main.flickity-enabled {
    opacity: 1
}

#page .rc4u-gallery-main .gallery-cell {
    width: 100%;
    height: 500px;
    display: flex;
    align-items: center;
    justify-content: center;
	border-radius: 20px;
    overflow: hidden
}

#page .rc4u-gallery-image {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
    transition: transform .4s ease, -webkit-filter .3s ease;
    transition: filter .3s ease, transform .4s ease;
    transition: filter .3s ease, transform .4s ease, -webkit-filter .3s ease
}

#page .rc4u-gallery-image:hover {
    -webkit-filter: brightness(1.1);
            filter: brightness(1.1)
}

#page .rc4u-gallery-nav-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 10px
}

#page .rc4u-gallery-nav {
    flex: 1
}

#page .rc4u-gallery-nav .gallery-cell {
    width: calc(25% - 6px);
    height: 120px;
    margin-right: 8px;
    cursor: pointer;
    flex: 0 0 auto
}

#page .rc4u-gallery-thumb {
    width: 100%;
    height: 100% !important;
    -o-object-fit: cover;
       object-fit: cover;
	border-radius: 10px;
    transition: -webkit-filter .3s ease;
    transition: filter .3s ease;
    transition: filter .3s ease, -webkit-filter .3s ease
}

#page .rc4u-gallery-thumb:hover {
    -webkit-filter: brightness(1.2);
    filter: brightness(1.2)
}

#page .rc4u-gallery-link {
    display: block;
    width: 100%;
	height: 100%
}

.nav-prev,
.nav-next {
    background: #000;
    color: #fff;
    border: none;
	border-radius: 10px;
    padding: 5px 10px;
    cursor: pointer;
    font-size: 20px;
    line-height: 1;
    height: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .3s ease
}

.nav-prev:hover,
.nav-next:hover {
    background-color: var(--ast-global-color-0);
	color: var(--ast-global-color-2)
}

#page .rc4u-gallery-item:hover img {
    transform: scale(1.2);
    -webkit-filter: lighter;
            filter: lighter
}

@media (max-width: 768px) {
    #page .rc4u-product-gallery {
        grid-template-columns: 1fr
    }
    #page .rc4u-gallery-item img {
        height: 200px
    }
}

.rc4u-product-sidebar {
    flex: 1;
    padding-left: 20px
}

@media(max-width:1024px) { .rc4u-product-sidebar { padding-left: 0 } }

.rc4u-product-sidebar .rc4u-product-title {
	font-size: 2.5rem
}

.rc4u-product-sidebar h3.rc4u-product-price-title {
	font-size: 1.5rem
}

.rc4u-product-sidebar .rc4u-product-rent-area__image .rc4u-main-image {
	max-height: 272px;
	-o-object-fit: cover;
	   object-fit: cover;
	border-top-left-radius: 20px;
	border-top-right-radius: 20px
}

.rc4u-product-sidebar .rc4u-product-rent-area__data {
	border-bottom-left-radius: 20px;
	border-bottom-right-radius: 20px
}

.rc4u-product-sidebar-widget-1,
.rc4u-product-sidebar-widget-2,
.rc4u-product-sidebar-info-box {
	border-radius: 20px
}

@media(min-width:1024px) {
    .rc4u-product-sidebar {
        position: -webkit-sticky;
        position: sticky;
        top: 140px;
        align-self: flex-start
    }
}

.rc4u-product-image img {
    width: 100%;
    height: auto;
    margin-bottom: 15px
}

.rc4u-product-short-description {
    font-size: .95rem;
    color: #555
}

.single_add_to_cart_button {
    display: inline-flex;
    align-items: center;
    gap: 8px
}

.single-product .rc4u-reservation-btn {
	display: flex;
  	align-items: center;
	padding: 1rem 2rem;
  	width: 100%;
  	margin: 1rem 0 0 0;
	color: var(--ast-global-color-2);
	background-color: var(--ast-global-color-0);
	border: 1px solid transparent;
	transition: .3s ease
}

.rc4u-cart-icon {
    fill: #0d1b2a;
	margin-left: auto;
    transition: fill .3s ease
}

.single-product .rc4u-reservation-btn:hover .rc4u-cart-icon {
	fill: #fff
}

.single-product .rc4u-reservation-btn:hover {
	background: var(--ast-global-color-2);
	border-color: #fff;
	color: #fff
}

.rc4u-product-sidebar .rc4u-product-sidebar-info-box,
.rc4u-product-sidebar .rc4u-product-rent-area__data,
.rc4u-product-sidebar .rc4u-product-attributes-area,
.rc4u-product-sidebar .rc4u-product-info-area,
.rc4u-product-sidebar .rc4u-product-calendar,
.rc4u-product-sidebar-widget-1,
.rc4u-product-sidebar-widget-2 {
	padding: 1.5rem 1.5rem;
	margin-bottom: 1.5rem;
	background-color: var(--ast-global-color-2);
	box-shadow: var(--rc4u-box-shadow-2)
}

.sidebar-info-area-phone,
.sidebar-info-area-mail {
	display: flex;
  	align-items: center;
	font-size: 1.2rem;
  	line-height: 1;
	margin: 1rem 0 0
}

.sidebar-info-area-phone:focus,
.sidebar-info-area-mail:focus {
	color: var(--ast-global-color-1)
}

.sidebar-info-area-phone::before {
	content: '';
	display: inline-block;
    height: 24px;
	width: 24px;
    margin-right: .5rem;
    background: url(/wp-content/themes/rentcars4u/assets/images/rc4u-phone-ico-blue.svg) no-repeat center
}

.sidebar-info-area-mail::before {
	content: '';
	display: inline-block;
    height: 24px;
	width: 24px;
    margin-right: .5rem;
    background: url(/wp-content/themes/rentcars4u/assets/images/rc4u-mail-ico-blue.svg) no-repeat center
}

.rc4u-product-sidebar * {
  color: var(--ast-global-color-0)
}

.rc4u-product-sidebar .wc-bookings-booking-form {
	border: 0;
	padding: 0
}

.rc4u-product-sidebar .wc-bookings-date-picker {
	margin: 0;
	padding: 4px;
	border: 0;
	border-radius: 2px
}

.rc4u-product-sidebar .wc-bookings-date-picker .ui-widget-content {
	box-shadow: none
}

.rc4u-product-sidebar .ui-datepicker-header {
	background: var(--ast-global-color-2)
}

.rc4u-product-sidebar .ui-datepicker-title {
	font-family: "Bebas Neue", sans-serif;
	line-height: initial;
	padding: 1rem 0 !important
}

#related-cars .related-cars-grid article {
	box-shadow: var(--rc4u-box-shadow-1);
	border-radius: var(--rc4u-box-radius);
	z-index: 1
}

#related-cars .related-cars-grid article img {
	-o-object-fit: cover;
	   object-fit: cover
}

#related-cars .related-cars-grid .wp-block-button {
	display: flex;
  	text-align: center
}

#related-cars .related-cars-grid .uagb-post__image a:focus-visible {
	outline-offset: 0
}

.rc4u-product-sidebar .rc4u-product-sidebar-info-box a:focus-visible {
	color: inherit
}
